package enum

type Partner string

const (
	AC         Partner = "ac"
	TH         Partner = "th"
	KubeNative Partner = "kubeNative"
	ModelArts  Partner = "modelArts"
)

func (p Partner) String() string {
	switch p {
	case AC:
		return "曙光超算"
	case KubeNative:
		return "长沙云算"
	case ModelArts:
		return "南京智算"
	case TH:
		return "天河超算"
	default:
		return ""
	}
}
